<script lang="ts">
  import regionalContacts from '$lib/components/pages/regional-contacts/regional-contacts';
  import RegionalContactCard from '$lib/components/pages/regional-contacts/RegionalContactCard.svelte';
  import PageHeader from '$lib/components/layout/PageHeader.svelte';
  import RegionalMap from "$lib/components/pages/regional-contacts/RegionalMap.svelte";

</script>

<PageHeader title="Regional Contacts" />

<section class="m-10 lg:m-20">
  <h1 class="font-bold text-2xl md:text-3xl text-secondary mb-6">Regions</h1>
  <RegionalMap />
</section>

<section class="m-10 lg:m-20">
  <h1 class="font-bold text-2xl md:text-3xl text-secondary mb-6">Faculty Regional Coordinators</h1>
  <p class="text-lg md:text-xl text-cyber-blue-900 leading-relaxed lg:leading-loose">
    The National Centers of Academic Excellence (CAE) in Cybersecurity Community is composed of more than 300
    institutions across five geographic regions, and the national competition program will follow this regional
    structure. Each region has a designated Regional Competition Coordinator who is responsible for engaging with their
    region's CAE institutions to share information about the competition, encourage challenge submissions, determine
    which challenges to include in the regional competition, and establish the date and format for the regional
    competition.
  </p>
</section>

<section class="flex flex-wrap justify-center gap-20 mb-20">
  {#each regionalContacts as card}
    <RegionalContactCard {...card} />
  {/each}
</section>

<style>
  /*
    The wrapper div needs to have an explicit width and height in CSS.
    It can also be a flexbox child or CSS grid element.
    The point being it needs dimensions since the <LayerCake> element will
    expand to fill it.
  */
  .chart-container {
    width: 100%;
    height: 250px;
  }
</style>
